package com.duben.microtribe.ad

import android.app.Activity
import com.duben.microtribe.ad.video.InMoneyVideoNoPre
import java.util.HashMap

/**
 * 实时加载激励视频、全屏
 */
object NoPreAdManager {

    private val TAG = NoPreAdManager::class.java.simpleName

    fun loadVideoAd(
        activity: Activity,
        carrierType: String,
        listener: AdStatusListener?
    ) {
        val adNoProListener = object : AdStatusListener {
            override fun adFail() {
                listener?.adFail()
            }

            override fun adSuccess() {
                listener?.adSuccess()

            }

            override fun adClose(vo : HashMap<String, Any>?) {
                listener?.adClose(vo)
            }

        }
        InMoneyVideoNoPre.getInstance().loadAd(activity, adNoProListener, carrierType)
    }
}